# Uses of Interface
org.opensaml.xmlsec.encryption.DHKeyValue

Packages that use DHKeyValue
Package
Description
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of DHKeyValue in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement DHKeyValue
Modifier and Type
Class
Description
`class`
`DHKeyValueImpl`
Concrete implementation of `DHKeyValue`.
Methods in org.opensaml.xmlsec.encryption.impl that return DHKeyValue
Modifier and Type
Method
Description
`DHKeyValue`
DHKeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`DHKeyValue`
DHKeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of DHKeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo that return DHKeyValue
Modifier and Type
Method
Description
`static DHKeyValue`
KeyInfoSupport.`buildDHKeyValue(DHPublicKey dhPubKey)`
Builds a `DHKeyValue` XMLObject from the Java security DH public key type.
Methods in org.opensaml.xmlsec.keyinfo with parameters of type DHKeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getDHKey(DHKeyValue keyDescriptor)`
Builds a DH key from a `DHKeyValue` element.
`static boolean`
KeyInfoSupport.`hasCompleteDHParams(DHKeyValue keyDescriptor)`
Check whether the specified `DHKeyValue` element has the all optional DH values which can be shared amongst many keys in a DH "key family", and are presumed to be known from context.

## Uses of DHKeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return DHKeyValue
Modifier and Type
Method
Description
`DHKeyValue`
KeyValue.`getDHKeyValue()`
Get the DHKeyValue child element.
Methods in org.opensaml.xmlsec.signature with parameters of type DHKeyValue
Modifier and Type
Method
Description
`void`
KeyValue.`setDHKeyValue(DHKeyValue newDHKeyValue)`
Set the DHKeyValue child element.

## Uses of DHKeyValue in org.opensaml.xmlsec.signature.impl

Fields in org.opensaml.xmlsec.signature.impl declared as DHKeyValue
Modifier and Type
Field
Description
`private DHKeyValue`
KeyValueImpl.`dhKeyValue`
DHKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl that return DHKeyValue
Modifier and Type
Method
Description
`DHKeyValue`
KeyValueImpl.`getDHKeyValue()`
Get the DHKeyValue child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type DHKeyValue
Modifier and Type
Method
Description
`void`
KeyValueImpl.`setDHKeyValue(DHKeyValue newDHKeyValue)`
Set the DHKeyValue child element.